Subject: Re: bug#36288: 27.0.50; Cannot use menu-set-font

From: Robert Pluim <[email-masked]>
Date: Thu, 20 Jun 2019 10:32:34 +0200

>>>>> On Thu, 20 Jun 2019 09:51:19 +0200, Robert Pluim <[email-masked]> said:

>>>>> On Thu, 20 Jun 2019 11:54:21 +0900, YAMAMOTO Mitsuharu <[email-masked]> said:
    >>> Maybe better to use the first entry of the font-backend frame
    >>> parameter rather than hardcoded one?

    Robert> Thanks, that works for me. Iʼve not tested what happens if I try to
    Robert> use an X font rather than an xft one, but I think that usage will
    Robert> eventually go away anyway.

I tried a different variant:

(add-to-list 'default-frame-alist '(font-backend x xfthb))

then M-x menu-set-font

which gives (with your patch):

set-face-attribute: Font not available: #<font-spec x nil Ubuntu\ Mono nil nil normal normal nil 1.0 nil nil nil ((:name . "Ubuntu Mono"))>

Robert